package com.jeeplus.test.cw.contractRegistration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.test.cw.contractRegistration.domain.ContractFilePaper;
import com.jeeplus.test.oss.domain.WorkAttachment;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-11-29 14:20
 **/
public interface ContractFilePaperMapper extends BaseMapper<ContractFilePaper> {
    /**
     * 根据合同id查询纸质归档信息
     * @param id
     * @return
     */
    ContractFilePaper selectFilePaperByContractInfoId(String id);

    ContractFilePaper getById(String id);

    void updateStatusById(@Param("id") String id, @Param("filedType")String filedType);

    List<WorkAttachment> findList(@Param("id") String id);

    Integer findIsExit(@Param("id") String id, @Param("contractInfoId") String contractInfoId, @Param("name")String name);

    /**
     * 根据attachmentId删除上传文件信息
     */
    void deleteFileInfo(String attachmentId);
}
